Bug 746960 - interfaceNumOfDefinedInterfaces:229 : internal error failed to get number of defined interfaces on host
interfaceNumOfDefinedInterfaces:229 : internal error failed to get number of ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
15
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-18 08:22 EDT by Ferry Huberts
Modified: 2012-06-10 07:25 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-06 20:57:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Contents of /etc/sysconfig/network-scripts (37.70 KB, application/x-gzip)
2011-12-22 07:17 EST, Christoph Wickert
no flags Details

  None (edit)
Description Ferry Huberts 2011-10-18 08:22:17 EDT
Description of problem:
my log is full of errors from libvirtd

Version-Release number of selected component (if applicable):
libvirt-0.8.8-7.fc15.x86_64

How reproducible:
always

Steps to Reproduce:
1. I'm running a centos6 guest in a VM
2.
3.
  
Actual results:
log is full of (every 1 or 2 seconds!):

Oct 18 14:16:36 stinkpad libvirtd: 14:16:36.635: 1124: error : interfaceNumOfDefinedInterfaces:229 : internal error failed to get number of defined interfaces on host (netcf: unspecified error - errors in loading some config files)

network traffic seems to be experiencing trouble as well

Expected results:
normal operation

Additional info:

# virsh dumpxml gittest6
<domain type='kvm' id='2'>
  <name>gittest6</name>
  <uuid>469c16c1-f42e-dbea-0566-a6a0365842d6</uuid>
  <memory>1536000</memory>
  <currentMemory>1536000</currentMemory>
  <vcpu>2</vcpu>
  <os>
    <type arch='x86_64' machine='pc-0.14'>hvm</type>
    <boot dev='hd'/>
    <bootmenu enable='yes'/>
  </os>
  <features>
    <acpi/>
    <apic/>
    <pae/>
  </features>
  <cpu match='exact'>
    <model>core2duo</model>
    <vendor>Intel</vendor>
    <feature policy='require' name='pbe'/>
    <feature policy='require' name='tm2'/>
    <feature policy='require' name='est'/>
    <feature policy='require' name='ss'/>
    <feature policy='require' name='ht'/>
    <feature policy='require' name='ds'/>
    <feature policy='require' name='lahf_lm'/>
    <feature policy='require' name='tm'/>
    <feature policy='require' name='cx16'/>
    <feature policy='require' name='vmx'/>
    <feature policy='require' name='ds_cpl'/>
    <feature policy='require' name='xtpr'/>
    <feature policy='require' name='acpi'/>
  </cpu>
  <clock offset='utc'/>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>restart</on_reboot>
  <on_crash>restart</on_crash>
  <devices>
    <emulator>/usr/bin/qemu-kvm</emulator>
    <disk type='file' device='cdrom'>
      <driver name='qemu' type='raw'/>
      <target dev='hdc' bus='ide'/>
      <readonly/>
      <alias name='ide0-1-0'/>
      <address type='drive' controller='0' bus='1' unit='0'/>
    </disk>
    <disk type='file' device='disk'>
      <driver name='qemu' type='qcow2'/>
      <source file='/home/data/kvm/gittest6.img'/>
      <target dev='vda' bus='virtio'/>
      <alias name='virtio-disk0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x06' function='0x0'/>
    </disk>
    <controller type='ide' index='0'>
      <alias name='ide0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x01' function='0x1'/>
    </controller>
    <controller type='virtio-serial' index='0'>
      <alias name='virtio-serial0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x05' function='0x0'/>
    </controller>
    <interface type='network'>
      <mac address='52:54:00:98:d3:93'/>
      <source network='default'/>
      <target dev='vnet0'/>
      <model type='virtio'/>
      <alias name='net0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x03' function='0x0'/>
    </interface>
    <serial type='pty'>
      <source path='/dev/pts/3'/>
      <target port='0'/>
      <alias name='serial0'/>
    </serial>
    <console type='pty' tty='/dev/pts/3'>
      <source path='/dev/pts/3'/>
      <target type='serial' port='0'/>
      <alias name='serial0'/>
    </console>
    <channel type='spicevmc'>
      <target type='virtio' name='com.redhat.spice.0'/>
      <alias name='channel0'/>
      <address type='virtio-serial' controller='0' bus='0' port='1'/>
    </channel>
    <input type='tablet' bus='usb'>
      <alias name='input0'/>
    </input>
    <input type='mouse' bus='ps2'/>
    <graphics type='spice' port='5900' tlsPort='-1' autoport='yes'/>
    <sound model='ich6'>
      <alias name='sound0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x04' function='0x0'/>
    </sound>
    <video>
      <model type='qxl' heads='1'/>
      <alias name='video0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x02' function='0x0'/>
    </video>
    <memballoon model='virtio'>
      <alias name='balloon0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x07' function='0x0'/>
    </memballoon>
  </devices>
  <seclabel type='dynamic' model='selinux'>
    <label>system_u:system_r:svirt_t:s0:c178,c816</label>
    <imagelabel>system_u:object_r:svirt_image_t:s0:c178,c816</imagelabel>
  </seclabel>
</domain>



# cat /proc/cpuinfo 
processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 15
model name	: Intel(R) Core(TM)2 CPU         T7200  @ 2.00GHz
stepping	: 6
cpu MHz		: 1000.000
cache size	: 4096 KB
physical id	: 0
siblings	: 2
core id		: 0
cpu cores	: 2
apicid		: 0
initial apicid	: 0
fpu		: yes
fpu_exception	: yes
cpuid level	: 10
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good nopl aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm lahf_lm dts tpr_shadow
bogomips	: 3988.48
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 1
vendor_id	: GenuineIntel
cpu family	: 6
model		: 15
model name	: Intel(R) Core(TM)2 CPU         T7200  @ 2.00GHz
stepping	: 6
cpu MHz		: 1000.000
cache size	: 4096 KB
physical id	: 0
siblings	: 2
core id		: 1
cpu cores	: 2
apicid		: 1
initial apicid	: 1
fpu		: yes
fpu_exception	: yes
cpuid level	: 10
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good nopl aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm lahf_lm dts tpr_shadow
bogomips	: 3988.47
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:
Comment 1 Ferry Huberts 2011-10-18 08:29:50 EDT
ok, forget this report

I went through my /etc/sysconfig/network-scripts/... config files and delete the ones I no longer use, and now the error report is gone.
Comment 2 Christoph Wickert 2011-12-22 04:22:24 EST
I'll reopen this. I tried deleting files from /etc/sysconfig/network-scripts/, but it doesn't help. There are only a few files left and I need them, even if their interfaces are not connected or available all the time (WiFi, VPN).

As soon as virt-manager is started, /var/log/messages gets spammed with two errors a second:

Dec 22 10:14:50 my-hostname libvirtd: 10:14:50.055: 5228: error : interfaceNumOfDefinedInterfaces:229 : Interner Fehler Ermitteln der Anzahl von definierten Schnittstellen auf Host fehlgeschlagen (netcf: unspecified error - errors in loading some config files)
Dec 22 10:14:51 my-hostname libvirtd: 10:14:51.024: 5225: error : interfaceNumOfInterfaces:187 : Interner Fehler Ermitteln der Anzahl von Schnittstellen auf Host fehlgeschlagen (netcf: unspecified error - errors in loading some config files)

It is not possible to use the log for any other debugging then and the logs just get huge. Please let me know what you need for further debugging.
Comment 3 Laine Stump 2011-12-22 06:47:25 EST
Please attach the ifcfg files that are still in /etc/sysconfi/network-scripts (after redacting any sensitive information). Also install the netcf package (libvirt only requires netcf-libs), run "ncftool -d list", and attach the output.
Comment 4 Christoph Wickert 2011-12-22 07:17:16 EST
Created attachment 549183 [details]
Contents of /etc/sysconfig/network-scripts

I have changed the names/SSIDs to generic names and replaced one public IP with XXX.XXX.XXX.XXX. Let me know if you have any questions.
Comment 5 Christoph Wickert 2011-12-22 07:20:25 EST
# ncftool -d list
warning: augeas initialization had errors
please file a bug with the following lines in the bug report:
/augeas/error
/augeas/error/pathx = "garbage at end of path expression"
/augeas/error/pathx/pos = "/augeas/files/etc/sysconfig/network-scripts/ifcfg-ifcfg-Hands_off|=|!"
/augeas/load/Modprobe/error = "/augeas/files/etc/sysconfig/network-scripts/ifcfg-ifcfg-Hands_off|=|!"
/augeas/load/Sysfs/error = "/augeas/files/etc/sysconfig/network-scripts/ifcfg-ifcfg-Hands_off|=|!"
error: unspecified error
error: errors in loading some config files

Seems like etc/sysconfig/network-scripts/ifcfg-Hands_off! is the offending file. I'll try to rename it.
Comment 6 Christoph Wickert 2011-12-22 07:30:40 EST
Ok, after renaming it to ifcfg-Hands_off (without exclamation mark) ncftool is happy:

$ ncftool -d list
eth0
lo

libvirt no longer reports errors and the Wifi still works in NetworkManager.

So who is to blame here? NM because it should not name the files strictly after the SSID or netcf because it cannot handle these file names?
Comment 7 Cole Robinson 2012-06-06 20:57:59 EDT
Sorry for the lack of response, but F15 is end of life real soon, so closing as WONTFIX.

Christoph (or anyone), if you can still reproduce with a more recent Fedora, please reopen this report and we can go from there.

Likely this issue is that netcf wasn't expecting the generated name, but if other tools can handle it, so should netcf.
Comment 8 Christoph Wickert 2012-06-10 07:25:38 EDT
I fail to reproduce the issue on F17. Network manager now automatically replaces problematic chars, a WLAN with the SSID "Test!" now is saved as "ifcfg-Test-". When I manually mv it to "ifcfg-Test!" ncftool and augeas still complain, but there are no more log entries from libvirt, so I consider this problem solved.

The augeas problem will be tracked in bug 698933.

Note You need to log in before you can comment on or make changes to this bug.